This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1262645 - Review Request: python-tortilla - A tiny library for creating wrappers around web APIs
Review Request: python-tortilla - A tiny library for creating wrappers around...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Julien Enselme
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-13 16:08 EDT by René Ribaud
Modified: 2015-11-30 18:22 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-30 16:21:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jujens: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description René Ribaud 2015-09-13 16:08:11 EDT
Spec URL: http://uggla.free.fr/rpmbuild/SPECS/python-tortilla.spec
SRPM URL: http://uggla.free.fr/rpmbuild/SRPMS/python-tortilla-0.4.1-1.fc22.src.rpm
Description: A tiny library for creating wrappers around web APIs
Fedora Account System Username: uggla
Comment 1 Giuseppe Paterno' 2015-09-16 18:08:56 EDT
This is an unofficial review of the package.

Quick note, you can remove %check as there's no actual checks specified.
Make sure you don't need to backport to EPEL6 or EPEL7, as you might need to put some macro checks.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package installs properly.
  Note: Installation errors (see attachment)
  See: https://fedoraproject.org/wiki/Packaging:Guidelines

===== MUST items =====

Generic:
[X]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[X]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 7 files have unknown license. Detailed
     output of licensecheck in /home/gpaterno/reviews/review-python-
     tortilla/licensecheck.txt
[X]: License file installed when any subpackage combination is installed.
[X]: Package contains no bundled libraries without FPC exception.
[X]: Changelog in prescribed format.
[X]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[ ]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[ ]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[ ]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[ ]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[ ]: Final provides and requires are sane (see attachments).
[ ]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python2-tortilla , python3-tortilla
[ ]: Package functions as described.
[ ]: Latest version is packaged.
[ ]: Package does not include license text files separate from upstream.
[ ]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[ ]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[ ]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Rpmlint is run on all installed packages.
     Note: Mock build failed
     See: http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint
[x]: Spec file according to URL is the same as in SRPM.
Comment 2 René Ribaud 2015-09-20 07:53:25 EDT
Hello,

Thanks for reviewing the pkg.
Here is a couple of answers about your comments.

1) no tests
The upstream package is not provided with unitary tests. I kept the %check section in the spec file to remember me to implement that as soon as upstream will implement some of them.

2) Installation fails
Unfortunately, I think I submitted this package a bit too early. You can notice that the package depends of colorclass, formats which are not in the release yet and prevent the package installation.
I have a request for them : 
https://bugzilla.redhat.com/show_bug.cgi?id=1258405
https://bugzilla.redhat.com/show_bug.cgi?id=1262642

So I think this pkg is on old until, colorclass and format will be integrated into Fedora.
Comment 3 René Ribaud 2015-10-05 04:51:35 EDT
Colorclass and formats available in the repos.
Tortilla should build and be ready for the review now.
Comment 4 Julien Enselme 2015-10-13 17:40:04 EDT
- In the python3 package, I think you got the wrong deps:
%package -n python3-%{srcname}
Requires:       python-requests
Requires:       python-six
Requires:       python3-formats
Requires:       python3-colorclass

It should be:
%package -n python3-%{srcname}
Requires:       python3-requests
Requires:       python3-six
Requires:       python3-formats
Requires:       python3-colorclass


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[X]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[X]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 7 files have unknown license. Detailed
     output of licensecheck in /tmp/1262645-python-
     tortilla/licensecheck.txt
[X]: License file installed when any subpackage combination is installed.
[X]: Package contains no bundled libraries without FPC exception.
[X]: Changelog in prescribed format.
[X]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[X]: Package uses nothing in %doc for runtime.
[X]: Package consistently uses macros (instead of hard-coded directory
     names).
[X]: Package is named according to the Package Naming Guidelines.
[X]: Package does not generate any conflict.
[X]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[!]: Requires correct, justified where necessary.

Python3 requires are not correct.

[X]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[X]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[X]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[X]: Python eggs must not download any dependencies during the build
     process.
[X]: A package which is used by another package via an egg interface should
     provide egg info.
[X]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[!]: Final provides and requires are sane (see attachments).
Python3 dependencies are not correct.

[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python2-tortilla , python3-tortilla
[?]: Package functions as described.
[X]: Latest version is packaged.
[X]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[X]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python2-tortilla-0.4.1-1.fc24.noarch.rpm
          python3-tortilla-0.4.1-1.fc24.noarch.rpm
          python-tortilla-0.4.1-1.fc24.src.rpm
3 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
2 packages and 0 specfiles checked; 0 errors, 0 warnings.



Requires
--------
python3-tortilla (rpmlib, GLIBC filtered):
    python(abi)
    python-requests
    python-six
    python3-colorclass
    python3-formats

python2-tortilla (rpmlib, GLIBC filtered):
    python(abi)
    python-requests
    python-six
    python2-colorclass
    python2-formats



Provides
--------
python3-tortilla:
    python3-tortilla

python2-tortilla:
    python-tortilla
    python2-tortilla



Source checksums
----------------
http://pypi.python.org/packages/source/t/tortilla/tortilla-0.4.1.tar.gz :
  CHECKSUM(SHA256) this package     : 0026d374b927b03f559e6923103e6747c98d0fa7de827e469c06c3f06f1c42ef
  CHECKSUM(SHA256) upstream package : 0026d374b927b03f559e6923103e6747c98d0fa7de827e469c06c3f06f1c42ef
https://raw.githubusercontent.com/redodo/tortilla/master/LICENSE :
  CHECKSUM(SHA256) this package     : aad0e5568519088aa0ee343c4fb7b5115c9150d282582ff7f36b4d2b7cd0b2be
  CHECKSUM(SHA256) upstream package : aad0e5568519088aa0ee343c4fb7b5115c9150d282582ff7f36b4d2b7cd0b2be


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1262645
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 5 René Ribaud 2015-11-09 04:17:58 EST
Spec URL: http://uggla.free.fr/rpmbuild/SPECS/python-tortilla.spec
SRPM URL: http://uggla.free.fr/rpmbuild/SRPMS/python-tortilla-0.4.1-2.fc22.src.rpm
Description: A tiny library for creating wrappers around web APIs
Fedora Account System Username: uggla
Comment 6 René Ribaud 2015-11-09 04:41:57 EST
Corrected package dependencies with feedbacks from Julien.
New one should be ready for review.
Comment 7 Upstream Release Monitoring 2015-11-09 04:48:33 EST
uggla's scratch build of python-tortilla-0.4.1-2.fc22.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=11754229
Comment 8 Julien Enselme 2015-11-09 16:04:28 EST
I think you should add a line break between each changelog entry to make it more readable.

Apart from that, it looks good. Approved.
Comment 9 Gwyn Ciesla 2015-11-10 09:48:25 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/python-tortilla
Comment 10 Fedora Update System 2015-11-19 09:50:57 EST
python-tortilla-0.4.1-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-59a83b8c1d
Comment 11 Fedora Update System 2015-11-19 09:57:16 EST
python-tortilla-0.4.1-2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-9aeacc73f4
Comment 12 Fedora Update System 2015-11-20 05:22:01 EST
python-tortilla-0.4.1-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update python-tortilla'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-9aeacc73f4
Comment 13 Fedora Update System 2015-11-20 06:24:28 EST
python-tortilla-0.4.1-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update python-tortilla'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-59a83b8c1d
Comment 14 Fedora Update System 2015-11-30 16:21:39 EST
python-tortilla-0.4.1-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2015-11-30 18:22:52 EST
python-tortilla-0.4.1-2.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.